Page MenuHomeVyOS Platform

Regression: set interface ethN vif-s nnnn does not commit on 1.3-rolling-202006050621
Closed, ResolvedPublicBUG

Description

vyos@vyos# set interfaces ethernet eth1 vif-s 1234
[edit]
vyos@vyos# compare 
[edit interfaces ethernet eth1]
+vif-s 1234 {
+}
[edit]
vyos@vyos# commit
[ interfaces ethernet eth1 ]
VyOS had an issue completing a command.

We are sorry that you encountered a problem while using VyOS.
There are a few things you can do to help us (and yourself): ...

Report Time:      2020-06-05 14:44:44
Image Version:    VyOS 1.3-rolling-202006050621
Release Train:    equuleus

Built by:         autobuild@vyos.net
Built on:         Fri 05 Jun 2020 06:21 UTC
Build UUID:       818b86dd-823a-4c2d-b65b-3deffeebd209
Build Commit ID:  72220ba6e64805

Architecture:     x86_64
Boot via:         installed image
System type:      KVM guest

Hardware vendor:  QEMU
Hardware model:   Standard PC (i440FX + PIIX, 1996)
Hardware S/N:     
Hardware UUID:    444b1703-a0f8-49ce-94c9-36c24baa3385

Traceback (most recent call last):
  File "/usr/libexec/vyos/conf_mode/interfaces-ethernet.py", line 314, in <module>
    apply(c)
  File "/usr/libexec/vyos/conf_mode/interfaces-ethernet.py", line 305, in apply
    apply_all_vlans(e, eth)
  File "/usr/lib/python3/dist-packages/vyos/ifconfig_vlan.py", line 37, in apply_all_vlans
    for vif_c in intfconfig['vif_c_remove']:
KeyError: 'vif_c_remove'

noteworthy:
cmd '/sbin/ethtool -K eth1 ufo off'
returned (out):

returned (err):
Cannot change udp-fragmentation-offload

[[interfaces ethernet eth1]] failed
Commit failed
[edit]
vyos@vyos#

Details

Difficulty level
Unknown (require assessment)
Version
1.3-rolling-202006050621
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Unspecified (possibly destroys the router)

Event Timeline

afics created this task.Jun 5 2020, 2:52 PM
jjakob changed the task status from Open to In progress.Jun 5 2020, 3:28 PM
jjakob claimed this task.
jjakob triaged this task as High priority.
jjakob moved this task from Need Triage to In Progress on the VyOS 1.3 Equuleus board.
jjakob added a comment.Jun 6 2020, 2:14 PM

Please test with the latest 1.3 rolling image if the bug is now fixed.

jjakob changed the task status from In progress to Needs testing.Jun 6 2020, 2:14 PM

Successfully able to create the vif-s 1234 per the above example without any issues on VyOS 1.3-rolling-202006070117:

vyos@VyosOverseas# set interfaces ethernet eth5 vif-s 1234 [edit]
vyos@VyosOverseas# compare
[edit interfaces ethernet eth5]
+vif-s 1234 {
+}
[edit]
vyos@VyosOverseas# commit
[edit]
vyos@VyosOverseas#

Deleted without any issues as well. Believe this bug can be marked as fixed.

jjakob closed this task as Resolved.Jun 10 2020, 6:29 PM
jjakob moved this task from In Progress to Finished on the VyOS 1.3 Equuleus board.